import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://gist.githubusercontent.com/Anthea98/0b528b4965b3d81408aa08c773f419e8/raw/a0d3b95819a10e7ab06c789106a0f2031416cd9c/finally.csv';

export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { eer } = topology.objects;
    	setData({
        regions: feature(topology, eer),
        interiors: mesh(topology, eer, (a, b) => a !== b)
      });
    });
  }, []);
  
  return data;
};